.top {
    background-color: #BC005D;
}

h1 {
    font-size: 70px;
}

@media (max-width: 800px) {
    h1 {
        font-size: 36px;
    }

    h2 {
        font-size: 24px;
    }

    h2 {
        font-size: 22px;
    }
}

hr {
    border: 0;
    border-color: #383C4B;
    border-style: solid;
    border-top-width: 1px;
}

.mainContent {
    max-width: 1920px;
    margin: 60px auto 160px;
    display: grid;
    grid-template:
        "a b c";
    justify-content: space-evenly;
}

.blocMainContent {
    box-sizing: border-box;
    margin: 0 auto;
    max-width: 500px;
    padding: 10px;
}

.blocMainContent:nth-child(-n+2) {
    padding-right: 50px;
    border-right: #383C4B solid 1px;
}

@media (max-width: 1640px) {
    .mainContent {
        grid-template:
            "a b"
            "c c";
    }

    .blocMainContent:nth-child(2) {
        padding-right: 10px;
        border-right: none;
    }
}

@media (max-width: 1250px) {
    .mainContent {
        grid-template:
            "a"
            "b"
            "c";
    }

    .blocMainContent:first-child {
        padding-right: 10px;
        border-right: none;
    }
}

.blocMainContent h2 {
    text-align: left;
    font-size: 40px;
    font-family: "Poppins";
    margin-bottom: 0px;
}

@media (max-width: 600px) {
    .blocMainContent h2 {
        font-size: 30px;
    }
}

#geoguessr {
    display: flex;
    align-items: center;
    gap: 10px;
}

.competitionContent {
    max-width: 1400px;
    margin: 100px auto 160px;
}

.competitionContent hr {
    max-width: 1280px;
}

.bloc {
    margin-bottom: 25px;
    padding: 10px;
    width: 90%;
    margin: 0 auto;
    display: grid;
    grid-template:
        "a b c"
        / 150px 200px 1fr;
    column-gap: 40px;
}

.date {
    grid-area: a;
    text-align: right;
    margin-top: 15px;
}

.imageCompetition {
    grid-area: b;
    width: 200px;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 20px;
    overflow: hidden;
}

.imageCompetition img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.imageCompetition.hidden {
    visibility: hidden;
}

.contentBlocCompetition {
    grid-area: c;
    width: 100%;
}

.contentBlocCompetition h2 {
    margin: 0px;
    font-size: 40px;
}

@media (max-width: 1250px) {
    .bloc {
        grid-template:
            "a c"
            "b c"
            / 150px 1fr;
    }

    .date {
        text-align: center;
    }

    .imageCompetition {
        width: 150px;
        height: 150px;
        margin: 0;
    }

    .contentBlocCompetition h2 {
        font-size: 32px;
    }
}

@media (max-width: 900px) {
    .bloc {
        grid-template:
            "a c"
            "b c"
            / 120px 1fr;
    }

    .imageCompetition {
        width: 120px;
        height: 120px;
    }

    .contentBlocCompetition h2 {
        font-size: 28px;
    }
}

@media (max-width: 900px) {
    .bloc {
        grid-template:
            "a c"
            "b c"
            / 100px 1fr;
    }

    .imageCompetition {
        width: 100px;
        height: 100px;
    }

    .contentBlocCompetition h2 {
        font-size: 24px;
    }
}

.prestationContent {
    margin: 100px 0 30px;
}

.prestationContent hr {
    max-width: 1400px;
}

.blocPrestation {
    width: 100%;
    max-width: 1200px;
    display: flex;
    gap: 100px;
    margin: 20px auto 0;
    padding-left: 200px;
    justify-content: left;
}

.ablocPrestationConfiance {
    gap: 50px;
}

.confiance {
    font-size: 40px;
    width: 300px;
    margin-top: 0px;
    margin-bottom: 0px;
    line-height: 45px;
}

.confianceEN {
    font-size: 40px;
    width: 320px;
    margin-top: 0px;
    margin-bottom: 0px;
    line-height: 45px;
}

.confianceText {
    width: 350px;
}

.prestationsLogos {
    display: flex;
    align-items: stretch;
    padding: 50px 0 20px;
}

.imagePrestation {
    width: 200px;
    height: 200px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 0 20px;
    overflow: hidden;
}

.imagePrestation img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

#prestationArte{
    padding-bottom: 10px;
}

#prestationGeoguessr{
    padding-top: 5px;
}

.prestationTexts {
    padding-top: 50px;
}

.prestationText {
    width: 350px;
}

@media (max-width: 1500px) {
    .blocPrestation {
        padding-left: 100px;
    }
}

@media (max-width: 1250px) {
    .blocPrestation {
        padding: 0 50px;
    }

    .blocPrestationConfiance {
        flex-direction: column;
        gap: 0;
        width: calc(100% - 100px);
    }
    
    .blocPrestationConfiance .prestationsLogos {
        padding: 0;
    }

    .blocPrestationConfiance .confiance, .blocPrestationConfiance .confianceText {
        width: 100%;
    }
}

@media (max-width: 900px) {
    .blocPrestation {
        flex-direction: column;
        gap: 0;
        width: calc(100% - 100px);
    }

    .blocPrestation .confiance, .blocPrestation .confianceText, .blocPrestation .prestationText {
        width: 100%;
    }
}

.custom-slider { display: none; }

.slide-container {
    padding-top: 50px;
    max-width: 850px;
    position: relative;
    margin: auto;
}

.prev, .next {
    cursor: pointer;
    position: absolute;        
    top: 50%;
    transform: translateY(-50%);
    width: 60px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    color: white;
    font-size: 30px;
    background-color: rgba(0,0,0,0);
    transition: background-color 0.6s ease;
}

.prev{ left: 15px; }

.next { right: 15px; }

.prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.5);
}

.slide-text {
    position: absolute;
    color: #ffffff;
    font-size: 15px;
    font-weight: bold;
    padding: 15px 0;
    bottom: 0px;
    width: 100%;
    text-align: center;
}

.slide-index {
    color: #ffffff;
    font-size: 13px;
    padding: 15px;
    position: absolute;
    top: 0;
}

.slide-img{ 
    width: 100%; 
    height: 500px;
    object-fit: cover;
    object-position: center;
}

.slide-dot{ 
    text-align: center;
}

.dot {
    cursor: pointer;
    height: 10px;
    width: 10px;
    margin: 0 2px;
    background-color: #EDEEF0;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.active, .dot:hover { background-color: #111111; }

.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {opacity: 0} 
    to {opacity: 1}
}

#enlargedImage {
    display: none;
    position: fixed;
    z-index: 10;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.8);
    justify-content: center;
    align-items: center;
}

#imgEnlarged {
    max-width: 90%;
    max-height: 90%;
}
